locked
.NET Framework 3.5 installation issues RRS feed

  • Question

  • I need some help diagnosing a .NET framework 3.5 installation...

    I'm trying to install visual studio 2008, and on the first go it hung during the .NET framework piece (after the machine was stuck on that for two hours, I didn't think I had much of a choice).  I killed it, and now the .NET 3.5 framework installation fails with the "1603" error.  I tried deleting my temp directory and retrying, as well as using system restore to go back a few days.  I still have the issue.  I used the tool in the Great you've had a .NET Framework Setup Issue... sticky, and have posted a cab file with the installation logs here

    As for my system details, my machine is running XP Pro service pack 2, an Intel Core 2 processor, and .NET 3.0 is currently installed. 



    Thursday, September 18, 2008 11:07 PM

Answers

  •  

    Hello,

           In your log files, we found the cause of the error code 1603 (fatal error) in .NET Framework setup process.  Here are some representative lines of the logs:

    “MSI (s) (9C:F0) [15:34:26:137]: Note: 1: 1314 2: NDP20-KB928365-v2-X86.msp

    MSI (s) (9C:F0) [15:34:26:137]: Unable to create a temp copy of patch 'NDP20-KB928365-v2-X86.msp'.

    MSI (s) (9C:80) [15:34:26:153]: Note: 1: 1714 2: Microsoft .NET Framework 2.0 Service Pack 1 3: 1635

    This patch package could not be opened.  Verify that the patch package exists and that you can access it, or contact the application vendor to verify that this is a valid Windows Installer patch package.

    C:\WINDOWS\Installer\62720.msi

    MSI (s) (9C:80) [15:34:26:153]: Product: Microsoft .NET Framework 2.0 Service Pack 1 -- Error 1714.The older version of Microsoft .NET Framework 2.0 Service Pack 1 cannot be removed.  Contact your technical support group.  System Error 1635.

    Error 1714.The older version of Microsoft .NET Framework 2.0 Service Pack 1 cannot be removed.  Contact your technical support group.  System Error 1635.”

           So, my suggestions:  Please make sure that the user account you are using has the admin level privilege to access the old version of .NET Framework and all the setup folders.    Also, please update your Windows Installer to the latest version 4.5 here.   Disable anti-virus software temporarily.  Besides, according to the log files, .NET Framework 2.0 SP1 seems has been installed in your machine.   I think you could use this cleanup tool to uninstall all the old version of .NET Frameworks, to avoid some corruption or confliction.   And then please try to install .NET Framework 3.5 again.  You know, .NET Framework 3.5 contains .NET Framework 2.0 SP1 and 3.0 SP1 together.

     

           If you have any more questions, please just let me know.

     

           Thanks,

    Best Regards,
    Lingzhi


    Please remember to mark the replies as answers if they help and unmark them if they provide no help. http://forums.msdn.microsoft.com/en-US/csharpide/thread/8e9ed0d7-11ff-402a-8489-9b5f05eeb706 http://forums.msdn.microsoft.com/en-US/vssetup/thread/60424309-bd78-4ca2-b618-03c4a16123b6
    Monday, September 22, 2008 3:16 AM